<?php
session_start();
?>
<!DOCTYPE html>

<html>
        <head>
                <?php include("head.php"); ?>
        </head>

        <!-- Contenu du site -->
        <body>
                <?php 
                include("header.php");
                if(isset($_SESSION['Login'], $_SESSION['Password']))
                {
                        ?>
			<div class="row">
			        <div class="col-6 col-md-6 offset-md-3 offset-3">
                			<br/>
                			<h1 style="margin-bottom:20px; margin-top:60px; border-bottom:1px solid #CCC; padding-bottom:20px;"><i class="fas fa-history"></i> Suppression d'une Raspberry</h1>
					<?php
					$capteurs = getSensorByRaspberry($_POST['ip']);

					$ini = "";
					$arduino_simple = "[Arduino_delete]\r\n";
					$arduino_spi = "[Arduino_delete]\r\n";
					$nucleo = "[Nucleo_delete]\r\n";

					$a_simple = false;
					$a_spi = false;
					$n = false;

					foreach($capteurs as $capteur)
					{
						$numero = $capteur['numero'];
						$raspberry = $capteur['raspberry'];
						$version = $capteur['version'];
						if($version == 0)
						{
							$a_simple = true;
							$arduino_simple = $arduino_simple.$raspberry." capteur=".$numero."-".$version." setup=0\n";
						}
						elseif($version == 1)
						{
							$a_spi = true;
							$arduino_spi= $arduino_spi.$raspberry." capteur=".$numero."-".$version." setup=0\n";
						}
						elseif($version == 2)
						{
							$n = true;
							$nucleo = $nucleo.$raspberry." capteur=".$numero."-".$version." setup=0\n";
						}
					}

					if($a_simple) {$ini = $ini.$arduino_simple."\n";}
					if($a_spi) {$ini = $ini.$arduino_spi."\n";}
					if($n) {$ini = $ini.$nucleo."\n";}

					if(removeRpi($_POST['ip']))
					{
						file_put_contents('upload/inventaire.ini', $ini);
						//exec("super cmd.sh");
						?>
						<div class="alert alert-success" role="alert">
					     		La Raspberry a bien été supprimée !
						</div>
						<?php
					}
					else
					{
						?>
						<div class="alert alert-danger" role="alert">
					     		Echec lors de la suppression.
						</div>
						<meta http-equiv="Refresh" content="3;url=gestionRaspberry.php" />
						<?php
					}
					?>
        			</div>
			</div>
			<?php
                }
                else
                {
                        include("formConnexion.php");
                }
                ?>
        </body>
</html>

